/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.frojasg1.general.desktop.keyboard;

import com.frojasg1.general.keyboard.GenericKeyboard;

/**
 *
 * @author Usuario
 */
public class DesktopKeyboardFacilities implements GenericKeyboard
{
	protected static DesktopKeyboardFacilities _instance = null;

	public static DesktopKeyboardFacilities instance()
	{
		if( _instance == null )
			_instance = new DesktopKeyboardFacilities();
		
		return( _instance );
	}

	protected DesktopKeyboardFacilities()
	{}

	@Override
	public char[] readPasswordFromKeyboard()
	{
		return( KeyboardFunctions.readPasswordFromKeyboard() );
	}

	@Override
	public String readLineFromKeyboard()
	{
		return( KeyboardFunctions.readLineFromKeyboard() );
	}
}
