/* 
 * Copyright (C) 2017 Francisco Javier Rojas Garrido <frojasg1@hotmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3.0 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You may obtain a copy of the License at
 *
 *      http://www.gnu.org/licenses/lgpl-3.0.txt
 *
 */
package com.frojasg1.textcrypt.controller;

import com.frojasg1.general.desktop.dialogs.DesktopViewComponent;
import com.frojasg1.general.progress.OperationCancellation;
import com.frojasg1.general.progress.UpdatingProgress;
import java.awt.print.PrinterException;

/**
 *
 * @author axpe
 */
public interface TextcryptView extends UpdatingProgress, DesktopViewComponent
{
	public String textCrypt_getFileName();
	public String textCrypt_getText();
	public boolean textCrypt_arePasswordEqual();
	public char[] textCrypt_getPassword();
	public int textCrypt_getStrength();

	public void textCrypt_setText( String text );
	public void textCrypt_setFileName( String fileName );
	public void textCrypt_setStrength( int strength );
	public void textCrypt_setOperationCancellation( OperationCancellation oc );
	public void textCrypt_printText() throws PrinterException;
	
	public void textCrypt_blockOpenAndSave();
	public void textCrypt_unblockOpenAndSave();
	
	public void textCrypt_closeWindow();

	public void textCrypt_invokeLaterResetTextModified();
}
